import 'package:dartz/dartz.dart';
import '../../repositories/model_repository.dart';
import '../../../data/models/model/model_dto.dart';
import '../../../core/errors/failures.dart';
import '../base_usecase.dart';

/// 모델 복구 UseCase
class RestoreModelUseCase extends UseCase<ModelDto, int> {
  final ModelRepository _modelRepository;

  RestoreModelUseCase(this._modelRepository);

  @override
  Future<Either<Failure, ModelDto>> call(int id) async {
    return await _modelRepository.restoreModel(id);
  }
}